﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Markup;
using Sketchables;

namespace FormatParser
{
  public class MarkupConverter : MarkupExtension, IValueConverter
  {
    private static TextParser parser = new TextParser();

    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      if (value == null) return null;
      return parser.Parse((string) value);
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      throw new NotSupportedException("Only one-way conversion is supported.");
    }


    public override object ProvideValue(IServiceProvider serviceProvider)
    {
      return this;
    }
  }
}
